Bug 501703 - unfreeze display for newer OLPC BIOSes
unfreeze display for newer OLPC BIOSes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2009-05-20 08:25 EDT by Christoph Wickert
Modified: 2009-07-21 14:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add "dcon-unfreeze" to default olpc.fth (356 bytes, patch)
2009-05-20 08:25 EDT, Christoph Wickert
no flags Details | Diff

  None (edit)
Description Christoph Wickert 2009-05-20 08:25:08 EDT
Created attachment 344788 [details]
Add "dcon-unfreeze" to default olpc.fth

Description of problem:
In Q2E30 the default behavior of OFW has changed and pretty boot has become the
default. This means that one cannot see plymouth, rhgb or any other boot
messages. There is no feedback on the boot progress because Fedora cannot show
the XO's boot animation. Not even X gets shown once the XO stopped booting, one
has to STRG+ALT+ERASE in order to see it.

Version-Release number of selected component (if applicable):
livecd-tools-024-1.fc11

Additional info:
Quote from Mitch Bradley:

You need to add the word "dcon-unfreeze" to olpc.fth .  You could add it 
after the existing "unfreeze", e.g.

   unfreeze  dcon-unfreeze

or it could be on a separate line; either will work.

What this does is to turn off "pretty boot".  The way that pretty boot 
works is that, just prior to loading the OS, OFW "freezes" the screen by 
invoking the DCON chip's "hold the last display frame, ignoring new 
information" function.

In older OFW versions, pretty boot was used only when security was 
enabled, thus only for signed OLPC OS images, but as of Q2E30 we bowed 
to pressure from a few vocal proponents of pretty-boot-everywhere and 
made it the default.  I knew that, as a result, I was going to have to 
deal with problems like yours forever afterward, and that has turned out 
to be the case :-(.  I tried to explain the "unfreeze dcon-unfreeze" 
magic to the people I knew who were making alternate distributions, but 
it has proven impossible to get the message through to all of them.

The distinction between "unfreeze" and "dcon-unfreeze" is that 
"dcon-unfreeze" unfreezes the display right now, whereas "unfreeze" 
prevents the last-second "jump to the loaded OS" code from refreezing at 
that later instant.  (Last-instant refreeze is what used to happen, 
letting you see the "boot:" messages, but that wasn't pretty enough for 
some people, so I had to institute "early freeze" to eliminate all text 
unless olpc.fth does the "dcon-unfreeze" thing too.


P.S.: The devel branch in CVS is not up to date, it still has 023 while F-11 is at 024.
Comment 1 Jeremy Katz 2009-05-20 11:53:08 EDT
Fixed in git.  Do you know if this will cause problems for earlier firmwares as I debate doing another build before F11 finalizes to pull this in.
Comment 2 Christoph Wickert 2009-05-20 12:19:52 EDT
I don't think so, it just disables the pretty boot, which was already disabled in previous OFW versions (if XO was unsecured) and Fedora comes with it's own splash anyway (plymouth, rhgb). In doubt please ask Mitch (wmb firmworks dot com).
Comment 3 Bug Zapper 2009-06-09 12:10:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Christoph Wickert 2009-07-14 12:52:44 EDT
I think this can be closed, right?
Comment 5 Jeremy Katz 2009-07-21 14:31:35 EDT
Closing out bug that's been in MODIFIED for a while.

Note You need to log in before you can comment on or make changes to this bug.